package com.totopia.server.modules.game.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import com.totopia.server.modules.game.type.BettingResultName;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;
import java.util.Set;

@Entity
@Table(name = "bet_history")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BettingHistoryEntity extends UserDateAuditEntity {

  @Id
  @GeneratedValue(generator = "bet_history_generator")
  @SequenceGenerator(name = "bet_history_generator", sequenceName = "bet_history_sequence", initialValue = 1)
  private Long id;

  @Basic
  @Column(name = "league_id", nullable = false)
  private Long league;


  @ManyToMany(fetch = FetchType.EAGER)
  @JoinTable(name = "betting_history_sports_event", joinColumns = @JoinColumn(name = "bet_history_id"), inverseJoinColumns = @JoinColumn(name = "sports_event_id"))
  private Set<SportsEventEntity> sportsEvents;

  @Basic
  @Column(name = "user_id", nullable = false)
  private Long user;

  @Basic
  @Column(name = "money_log_id", nullable = false)
  private Long moneyLog;

  @Basic
  @Column(name = "betting_money", nullable = false)
  private Integer bettingMoney;

  @Basic
  @Column(name = "predict_money", nullable = false)
  private Integer predictMoney;

  @Basic
  @Column(name = "real_money", nullable = true)
  private Integer realMoney;

  @Basic
  @Column(name = "betting_result", nullable = false, length = 100)
  private BettingResultName bettingResult;

}
