package com.totopia.server.modules.info.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import com.totopia.server.modules.info.type.NoticeStateName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "notice_board")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class NoticeBoardEntity extends UserDateAuditEntity {

  @Id
  @GeneratedValue(generator = "notice_board_generator")
  @SequenceGenerator(name = "notice_board_generator", sequenceName = "notice_board_sequence", initialValue = 1)
  private Long id;

  @Basic
  @Column(name = "title", nullable = true, length = 200)
  private String title;

  @Basic
  @Column(name = "contents", nullable = true, length = 2000)
  private String contents;

  //
  @Basic
  @Column(name = "attach_id", nullable = true)
  private Long attachFile;

  @Enumerated(EnumType.STRING)
  @Column(name = "notice_type", length = 60)
  private NoticeStateName noticeType;

}
