package com.totopia.server.modules.moneys.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;
import java.util.Date;

@Entity(name = "pay_done")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Builder
@AttributeOverrides({
    @AttributeOverride(name = "createdAt", column = @Column(name = "payments_date")),
    @AttributeOverride(name = "createdBy", column = @Column(name = "approve_user_id")),
})
public class PayDoneEntity extends UserDateAuditEntity {

  @Id
  @GeneratedValue(generator = "pay_done_generator")
  @SequenceGenerator(name = "pay_done_generator", sequenceName = "pay_done_sequence", initialValue = 1)
  private Long id;

  @Basic
  @Column(name = "settle_user_id", nullable = false)
  private Long settleUser;

  @Basic
  @Column(name = "price", nullable = false)
  private Integer price;

  @Basic
  @Temporal(TemporalType.TIMESTAMP)
  @Column(name = "start_date", nullable = false)
  private Date startDate;

  @Basic
  @Temporal(TemporalType.TIMESTAMP)
  @Column(name = "end_date", nullable = false)
  private Date endDate;
}
