package com.totopia.server.modules.special.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import com.totopia.server.modules.special.type.AlertConfigName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "alert_config")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Builder
public class AlertConfigEntity extends UserDateAuditEntity {
  @Id
  @GeneratedValue(generator = "alert_config_generator")
  @SequenceGenerator(name = "alert_config_generator", sequenceName = "alert_config_sequence", initialValue = 1)
  private Short id;

  @Basic
  @Column(name = "name", nullable = false, length = 100)
  private String name;

  @Basic
  @Column(name = "file_path", nullable = false, length = 200)
  private String filePath;

  @Basic
  @Column(name = "file_name", nullable = false, length = 200)
  private String fileName;

  @Enumerated(EnumType.STRING)
  @Column(name = "alert_type", length = 60)
  private AlertConfigName alertType;
}
