package com.totopia.server.modules.special.entity;

import com.totopia.server.commons.data.entity.DateAuditEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "fix_bonus")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Builder
public class FixBonusEntity extends DateAuditEntity {
  @Id
  @GeneratedValue(generator = "fix_bonus_generator")
  @SequenceGenerator(name = "fix_bonus_generator", sequenceName = "fix_bonus_sequence", initialValue = 1)
  private Short id;

  @Basic
  @Column(name = "game_type", nullable = false, length = 100)
  private String gameType;

  @Basic
  @Column(name = "game_description", nullable = false, length = 200)
  private String gameDescription;

  @Basic
  @Column(name = "user_description", nullable = false, length = 200)
  private String userDescription;

  @Basic
  @Column(name = "odds", nullable = false, length = 100)
  private String odds;

  @Basic
  @Column(name = "folder", nullable = false)
  private Short folder;

  @Basic
  @Column(name = "allow", nullable = false)
  private Boolean allow = true;
}
