package com.totopia.server.modules.special.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "roulette_config")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Builder
public class RouletteConfigEntity extends UserDateAuditEntity {
  @Id
  @GeneratedValue(generator = "roulette_config_generator")
  @SequenceGenerator(name = "roulette_config_generator", sequenceName = "roulette_config_sequence", initialValue = 1)
  private Short id;

  @Basic
  @Column(name = "price", nullable = false)
  private Integer price;

  @Basic
  @Column(name = "percentage", nullable = false)
  private Integer percentage;

  @Basic
  @Column(name = "price_won", nullable = false, length = 64)
  private String priceWon;
}
